<?php
/**
 * @api
 * Offers helper functions for language issues.
 */
class d2u_machinery_lang_helper extends \D2U_Helper\ALangHelper
{
    /**
     * @var array<string,string> Array with englisch replacements. Key is the wildcard,
     * value the replacement.
     */
    public $replacements_english = [
        'd2u_machinery_advantages' => 'Benefits at a glance',
        'd2u_machinery_alternative_machines' => 'Alternative Machines',
        'd2u_machinery_back_machine_list' => 'Go back to machine list',
        'd2u_machinery_consultation_heading' => 'Let us advise you',
        'd2u_machinery_consultation_hint' => 'Together we will find the best solution for you.<br><b>Please contact us.</b>',
        'd2u_machinery_consultation_link_machine' => 'Go to inquiry form',
        'd2u_machinery_consultation_link_personal' => 'For personal consultancy',
        'd2u_machinery_consultation_text' => 'We will help you to find the right product.',
        'd2u_machinery_dimensions_length' => 'Length',
        'd2u_machinery_dimensions_length_width_height' => 'Dimensions (L&nbsp;x&nbsp;W&nbsp;x&nbsp;H)',
        'd2u_machinery_dimensions_width_height_depth' => 'Dimensions (W&nbsp;x&nbsp;H&nbsp;x&nbsp;D)',
        'd2u_machinery_downloads' => 'Downloads',
        'd2u_machinery_engine_power' => 'Drive performance',
        'd2u_machinery_engine_power_frequency_controlled' => 'frequency controlled',
        'd2u_machinery_form_company' => 'Company',
        'd2u_machinery_form_fax' => 'Fax',
        'd2u_machinery_form_position' => 'function',
        'd2u_machinery_form_validate_company' => 'Please enter the company name.',
        'd2u_machinery_no_machines' => 'We are sorry. Currently we have no machines available. Please try again later.',
        'd2u_machinery_operating_voltage' => 'Operating voltage',
        'd2u_machinery_our_products' => 'Machines for Your Applications',
        'd2u_machinery_overview' => 'Machine',
        'd2u_machinery_pics' => 'Pictures',
        'd2u_machinery_productfinder_heading' => 'Product Finder',
        'd2u_machinery_productfinder_text' => 'Find your product',
        'd2u_machinery_references' => 'Credentials',
        'd2u_machinery_request' => 'Inquiry',
        'd2u_machinery_service' => 'Service details',
        'd2u_machinery_software' => 'Software',
        'd2u_machinery_tech_data' => 'Technical&nbsp;Data',
        'd2u_machinery_unit_a' => 'A',
        'd2u_machinery_unit_a_mm' => '(a) mm',
        'd2u_machinery_unit_bar' => 'bar',
        'd2u_machinery_unit_cm' => 'cm',
        'd2u_machinery_unit_cm2' => 'cm²',
        'd2u_machinery_unit_ca' => 'approx.',
        'd2u_machinery_unit_diameter_mm' => 'Ø mm',
        'd2u_machinery_unit_degrees' => 'Degrees',
        'd2u_machinery_unit_hz' => 'Hz',
        'd2u_machinery_unit_kg' => 'kg',
        'd2u_machinery_unit_kg_m' => 'kg/m',
        'd2u_machinery_unit_kn' => 'kN',
        'd2u_machinery_unit_kw' => 'kW',
        'd2u_machinery_unit_l' => 'l',
        'd2u_machinery_unit_l_min' => 'l/min',
        'd2u_machinery_unit_m' => 'm',
        'd2u_machinery_unit_m2_h' => 'm²/h',
        'd2u_machinery_unit_m_min' => 'm/min',
        'd2u_machinery_unit_min1' => 'min-1',
        'd2u_machinery_unit_mm' => 'mm',
        'd2u_machinery_unit_mm_min' => 'mm/min',
        'd2u_machinery_unit_pieces' => 'Pieces',
        'd2u_machinery_unit_rotations_min' => 'r/min',
        'd2u_machinery_unit_v' => 'V',
        'd2u_machinery_usage_areas' => 'Usage areas',
        'd2u_machinery_video' => 'Video',
        'd2u_machinery_weight' => 'Weight',
    ];

    /**
     * @var array<string,string> Array with german replacements. Key is the wildcard,
     * value the replacement.
     */
    protected array $replacements_german = [
        'd2u_machinery_advantages' => 'Vorteile auf einen Blick',
        'd2u_machinery_alternative_machines' => 'Alternative Maschinen',
        'd2u_machinery_back_machine_list' => 'Zurück zur Maschinenliste',
        'd2u_machinery_consultation_heading' => 'Lassen Sie sich beraten',
        'd2u_machinery_consultation_hint' => 'Wir bieten für Ihren Bedarf die optimale Lösung.<br><b>Nehmen Sie Kontakt mit uns auf.</b>',
        'd2u_machinery_consultation_link_machine' => 'Zur Maschinenanfrage',
        'd2u_machinery_consultation_link_personal' => 'Zur persönlichen Beratung',
        'd2u_machinery_consultation_text' => 'Wir helfen Ihnen dabei, das passende<br>Produkt zu finden.',
        'd2u_machinery_dimensions_length' => 'Länge',
        'd2u_machinery_dimensions_length_width_height' => 'Maße (L&nbsp;x&nbsp;B&nbsp;x&nbsp;H)',
        'd2u_machinery_dimensions_width_height_depth' => 'Maße (B&nbsp;x&nbsp;H&nbsp;x&nbsp;T)',
        'd2u_machinery_downloads' => 'Downloads',
        'd2u_machinery_engine_power' => 'Motorleistung',
        'd2u_machinery_engine_power_frequency_controlled' => 'frequenzgeregelt',
        'd2u_machinery_form_company' => 'Firma',
        'd2u_machinery_form_fax' => 'Fax',
        'd2u_machinery_form_position' => 'Funktion',
        'd2u_machinery_form_validate_company' => 'Bitte geben Sie den Firmennamen an',
        'd2u_machinery_no_machines' => 'Es tut uns Leid. Im Moment haben wir keine Angebote verfügbar. Bitte versuchen Sie es später nocheinmal.',
        'd2u_machinery_operating_voltage' => 'Betriebsspannung',
        'd2u_machinery_our_products' => 'Maschinen für Ihren Einsatz',
        'd2u_machinery_overview' => 'Maschine',
        'd2u_machinery_pics' => 'Bilder',
        'd2u_machinery_productfinder_heading' => 'Produktfinder',
        'd2u_machinery_productfinder_text' => 'Finden Sie genau Ihr Produkt',
        'd2u_machinery_references' => 'Kundenerfahrungen',
        'd2u_machinery_request' => 'Anfrage',
        'd2u_machinery_service' => 'Service&nbsp;Details',
        'd2u_machinery_software' => 'Software',
        'd2u_machinery_tech_data' => 'Technische Daten',
        'd2u_machinery_unit_a' => 'A',
        'd2u_machinery_unit_a_mm' => '(a) mm',
        'd2u_machinery_unit_bar' => 'bar',
        'd2u_machinery_unit_cm' => 'cm',
        'd2u_machinery_unit_cm2' => 'cm²',
        'd2u_machinery_unit_ca' => 'ca.',
        'd2u_machinery_unit_diameter_mm' => 'Ø mm',
        'd2u_machinery_unit_degrees' => '°',
        'd2u_machinery_unit_hz' => 'Hz',
        'd2u_machinery_unit_kg' => 'kg',
        'd2u_machinery_unit_kg_m' => 'kg/m',
        'd2u_machinery_unit_kn' => 'kN',
        'd2u_machinery_unit_kw' => 'kW',
        'd2u_machinery_unit_l' => 'l',
        'd2u_machinery_unit_l_min' => 'l/min',
        'd2u_machinery_unit_m' => 'm',
        'd2u_machinery_unit_m2_h' => 'm²/h',
        'd2u_machinery_unit_m_min' => 'm/min',
        'd2u_machinery_unit_min1' => 'min-1',
        'd2u_machinery_unit_mm' => 'mm',
        'd2u_machinery_unit_mm_min' => 'mm/min',
        'd2u_machinery_unit_pieces' => 'Stück',
        'd2u_machinery_unit_rotations_min' => 'U/min',
        'd2u_machinery_unit_v' => 'V',
        'd2u_machinery_usage_areas' => 'Anwendungsgebiete',
        'd2u_machinery_video' => 'Video',
        'd2u_machinery_weight' => 'Gewicht',
    ];

    /**
     * @var array<string,string> Array with french replacements. Key is the wildcard,
     * value the replacement.
     */
    protected array $replacements_french = [
        'd2u_machinery_advantages' => 'Les avantages en un coup d\'œil',
        'd2u_machinery_alternative_machines' => 'Machines alternatives',
        'd2u_machinery_back_machine_list' => 'Retour à la liste des machines',
        'd2u_machinery_consultation_heading' => 'Laissez vous conseiller',
        'd2u_machinery_consultation_hint' => 'Nous fournissons la solution optimale à vos besoins.<br><b>Contactez-nous.</b>',
        'd2u_machinery_consultation_link_machine' => 'Vers demande machine',
        'd2u_machinery_consultation_link_personal' => 'Pour un conseil personnalisé ',
        'd2u_machinery_consultation_text' => 'Nous vous aidons à trouver le bon <br> produit.',
        'd2u_machinery_dimensions_length' => 'Longueur',
        'd2u_machinery_dimensions_length_width_height' => 'Dimensions (L&nbsp;x&nbsp;L&nbsp;x&nbsp;H)',
        'd2u_machinery_dimensions_width_height_depth' => 'Dimensions  (L&nbsp;x&nbsp;H&nbsp;x&nbsp;P) ',
        'd2u_machinery_downloads' => 'Téléchargements',
        'd2u_machinery_engine_power' => 'Puissance moteur',
        'd2u_machinery_engine_power_frequency_controlled' => 'fréquence commandée',
        'd2u_machinery_form_company' => 'Société',
        'd2u_machinery_form_fax' => 'Télécopie',
        'd2u_machinery_form_position' => 'Fonction',
        'd2u_machinery_form_validate_company' => 'Veuillez indiquer votre société',
        'd2u_machinery_no_machines' => 'Nous sommes désolés. Pour le moment, nous n\'avons aucune offre disponible. Veuillez réessayer plus tard.',
        'd2u_machinery_operating_voltage' => 'tension de fonctionnement',
        'd2u_machinery_our_products' => 'Nos machines',
        'd2u_machinery_overview' => 'Machine',
        'd2u_machinery_pics' => 'Photos',
        'd2u_machinery_productfinder_heading' => 'Recherche de produits',
        'd2u_machinery_productfinder_text' => 'Trouvez exactement votre produit',
        'd2u_machinery_references' => 'Références ',
        'd2u_machinery_request' => 'Demande',
        'd2u_machinery_service' => 'Détails du service',
        'd2u_machinery_software' => 'Logiciel',
        'd2u_machinery_tech_data' => 'Données techniques',
        'd2u_machinery_unit_a' => 'A',
        'd2u_machinery_unit_a_mm' => '(a) mm',
        'd2u_machinery_unit_bar' => 'bar',
        'd2u_machinery_unit_ca' => 'approx.',
        'd2u_machinery_unit_cm' => 'cm',
        'd2u_machinery_unit_cm2' => 'cm²',
        'd2u_machinery_unit_diameter_mm' => 'Ø mm',
        'd2u_machinery_unit_degrees' => '°',
        'd2u_machinery_unit_hz' => 'Hz',
        'd2u_machinery_unit_kg' => 'kg',
        'd2u_machinery_unit_kg_m' => 'kg/m',
        'd2u_machinery_unit_kn' => 'kN',
        'd2u_machinery_unit_kw' => 'kW',
        'd2u_machinery_unit_l' => 'l',
        'd2u_machinery_unit_l_min' => 'l/min',
        'd2u_machinery_unit_m' => 'm',
        'd2u_machinery_unit_m2_h' => 'm²/h',
        'd2u_machinery_unit_m_min' => 'm/min',
        'd2u_machinery_unit_min1' => 'min-1',
        'd2u_machinery_unit_mm' => 'mm',
        'd2u_machinery_unit_mm_min' => 'mm/min',
        'd2u_machinery_unit_pieces' => 'Pièce',
        'd2u_machinery_unit_rotations_min' => 'r/min',
        'd2u_machinery_unit_v' => 'V',
        'd2u_machinery_usage_areas' => 'Procédés',
        'd2u_machinery_video' => 'Vidéo',
        'd2u_machinery_weight' => 'Poids',
    ];

    /**
     * @var array<string,string> Array with spanish replacements. Key is the wildcard,
     * value the replacement.
     */
    protected array $replacements_spanish = [
        'd2u_machinery_advantages' => 'Ventajas de un vistazo',
        'd2u_machinery_alternative_machines' => 'Máquinas alternativas',
        'd2u_machinery_back_machine_list' => 'Volver a la lista de máquinas',
        'd2u_machinery_consultation_heading' => 'Déjese asesorar',
        'd2u_machinery_consultation_hint' => 'Brindamos la solución óptima para sus necesidades.<br><b>Contáctenos.</b>',
        'd2u_machinery_consultation_link_machine' => 'Ir a formulario de consulta.',
        'd2u_machinery_consultation_link_personal' => 'Para la consultora personal.',
        'd2u_machinery_consultation_text' => 'Le ayudamos a encontrar la empresa<br> producto adecuado.',
        'd2u_machinery_dimensions_length' => 'Longitud',
        'd2u_machinery_dimensions_length_width_height' => 'Dimensiones (L&nbsp;x&nbsp;An&nbsp;x&nbsp;Al)',
        'd2u_machinery_dimensions_width_height_depth' => 'Dimensiones (An&nbsp;x&nbsp;Al&nbsp;x&nbsp;P)',
        'd2u_machinery_downloads' => 'Descargas',
        'd2u_machinery_engine_power' => 'Potencia del motor',
        'd2u_machinery_engine_power_frequency_controlled' => 'Controlada por frecuencia',
        'd2u_machinery_form_company' => 'Empresa',
        'd2u_machinery_form_fax' => 'Fax',
        'd2u_machinery_form_position' => 'Sector de actividad',
        'd2u_machinery_no_machines' => 'No se encontraron máquinas.',
        'd2u_machinery_operating_voltage' => 'Tensión de servicio',
        'd2u_machinery_our_products' => 'Nuestras máquinas',
        'd2u_machinery_overview' => 'Máquina',
        'd2u_machinery_pics' => 'Imágenes',
        'd2u_machinery_productfinder_heading' => 'Buscador de productos',
        'd2u_machinery_productfinder_text' => 'Encontrar exactamente su producto',
        'd2u_machinery_references' => 'Cartas credenciales',
        'd2u_machinery_request' => 'Solicitud',
        'd2u_machinery_service' => 'Detalles del servicio',
        'd2u_machinery_software' => 'Software',
        'd2u_machinery_tech_data' => 'Especificaciones técnicas',
        'd2u_machinery_unit_a' => 'A',
        'd2u_machinery_unit_a_mm' => '(a) mm',
        'd2u_machinery_unit_bar' => 'bar',
        'd2u_machinery_unit_ca' => 'aprox.',
        'd2u_machinery_unit_cm' => 'cm',
        'd2u_machinery_unit_cm2' => 'cm²',
        'd2u_machinery_unit_degrees' => '°',
        'd2u_machinery_unit_diameter_mm' => 'Ø mm',
        'd2u_machinery_unit_hz' => 'Hz',
        'd2u_machinery_unit_kg' => 'kg',
        'd2u_machinery_unit_kg_m' => 'kg/m',
        'd2u_machinery_unit_kn' => 'kN',
        'd2u_machinery_unit_kw' => 'kW',
        'd2u_machinery_unit_l' => 'l',
        'd2u_machinery_unit_l_min' => 'l/min',
        'd2u_machinery_unit_m' => 'm',
        'd2u_machinery_unit_m2_h' => 'm²/h',
        'd2u_machinery_unit_m_min' => 'm/min',
        'd2u_machinery_unit_min1' => 'min-1',
        'd2u_machinery_unit_mm' => 'mm',
        'd2u_machinery_unit_mm_min' => 'mm/min',
        'd2u_machinery_unit_pieces' => 'Pieza',
        'd2u_machinery_unit_rotations_min' => 'r/min',
        'd2u_machinery_unit_v' => 'V',
        'd2u_machinery_usage_areas' => 'Operaciones',
        'd2u_machinery_video' => 'Vídeo',
        'd2u_machinery_weight' => 'Peso',
    ];

    /**
     * @var array<string,string> Array with dutch replacements. Key is the wildcard,
     * value the replacement.
     */
    protected array $replacements_dutch = [
        'd2u_machinery_advantages' => 'Voordelen in een oogopslag',
        'd2u_machinery_alternative_machines' => 'Alternatieve machines',
        'd2u_machinery_back_machine_list' => 'Terug naar de machinelijst',
        'd2u_machinery_consultation_heading' => 'Laat ons u adviseren',
        'd2u_machinery_consultation_hint' => 'Wij bieden de optimale oplossing voor uw behoeften.<br><b>Neem contact met ons op.</b>',
        'd2u_machinery_consultation_link_machine' => 'Naar de machine-aanvraag.',
        'd2u_machinery_consultation_link_personal' => 'Voor persoonlijk advies',
        'd2u_machinery_consultation_text' => 'Wij helpen u de juiste <br> product te vinden.',
        'd2u_machinery_dimensions_length' => 'Lengte',
        'd2u_machinery_dimensions_length_width_height' => 'Afmetingen (l&nbsp;x&nbsp;b&nbsp;x&nbsp;h) ',
        'd2u_machinery_dimensions_width_height_depth' => 'Afmetingen (b&nbsp;x&nbsp;h&nbsp;x&nbsp;d)',
        'd2u_machinery_downloads' => 'Downloads',
        'd2u_machinery_engine_power' => 'Motorvermogen ',
        'd2u_machinery_engine_power_frequency_controlled' => 'frequentiegestuurd',
        'd2u_machinery_form_company' => 'Vennootschap',
        'd2u_machinery_form_fax' => 'Telefax',
        'd2u_machinery_form_position' => 'Werkterrein',
        'd2u_machinery_no_machines' => 'Geen machines gevonden.',
        'd2u_machinery_operating_voltage' => 'Bedrijfsspanning',
        'd2u_machinery_our_products' => 'Onze machines',
        'd2u_machinery_overview' => 'Machine',
        'd2u_machinery_pics' => 'Afbeeldingen',
        'd2u_machinery_productfinder_heading' => 'Productvinder',
        'd2u_machinery_productfinder_text' => 'Vind precies uw product',
        'd2u_machinery_references' => 'Geloofsbrieven',
        'd2u_machinery_request' => 'Aanvraag',
        'd2u_machinery_service' => 'Servicedetails',
        'd2u_machinery_software' => 'Software',
        'd2u_machinery_tech_data' => 'Technische gegevens',
        'd2u_machinery_unit_a' => 'A',
        'd2u_machinery_unit_a_mm' => '(a) mm',
        'd2u_machinery_unit_bar' => 'bar',
        'd2u_machinery_unit_ca' => 'ca.',
        'd2u_machinery_unit_cm' => 'cm',
        'd2u_machinery_unit_cm2' => 'cm²',
        'd2u_machinery_unit_diameter_mm' => 'Ø mm',
        'd2u_machinery_unit_degrees' => '°',
        'd2u_machinery_unit_hz' => 'Hz',
        'd2u_machinery_unit_kg' => 'kg',
        'd2u_machinery_unit_kg_m' => 'kg/m',
        'd2u_machinery_unit_kn' => 'kN',
        'd2u_machinery_unit_kw' => 'kW',
        'd2u_machinery_unit_l' => 'l',
        'd2u_machinery_unit_l_min' => 'l/min',
        'd2u_machinery_unit_m' => 'm',
        'd2u_machinery_unit_m2_h' => 'm²/h',
        'd2u_machinery_unit_m_min' => 'm/min',
        'd2u_machinery_unit_min1' => 'min-1',
        'd2u_machinery_unit_mm' => 'mm',
        'd2u_machinery_unit_mm_min' => 'mm/min',
        'd2u_machinery_unit_pieces' => 'Stuks',
        'd2u_machinery_unit_rotations_min' => 'r/min',
        'd2u_machinery_unit_v' => 'V',
        'd2u_machinery_usage_areas' => 'Operaties',
        'd2u_machinery_video' => 'Video',
        'd2u_machinery_weight' => 'Gewicht',
    ];

    /**
     * @var array<string,string> Array with russian replacements. Key is the wildcard,
     * value the replacement.
     */
    protected array $replacements_russian = [
        'd2u_machinery_advantages' => 'Основные преимущества',
        'd2u_machinery_alternative_machines' => 'Альтернативные станки',
        'd2u_machinery_back_machine_list' => 'Вернуться к списку оборудования',
        'd2u_machinery_consultation_heading' => 'Получите консультацию специалиста',
        'd2u_machinery_consultation_hint' => 'Мы предлагаем оптимальное решение для Вашего производства.<br><b>Свяжитесь с нами.</b>',
        'd2u_machinery_consultation_link_machine' => 'Отправить запрос',
        'd2u_machinery_consultation_link_personal' => 'Отправить запрос',
        'd2u_machinery_consultation_text' => 'Мы поможем Вам подобрать оборудование <br> в соответствии с техническими требованиями Вашего производства.',
        'd2u_machinery_dimensions_length' => 'длина',
        'd2u_machinery_dimensions_length_width_height' => 'габариты (д&nbsp;x&nbsp;ш&nbsp;x&nbsp;в) ',
        'd2u_machinery_dimensions_width_height_depth' => 'Размеры (ш&nbsp;x&nbsp;в&nbsp;x&nbsp;г) ',
        'd2u_machinery_downloads' => 'Загрузки',
        'd2u_machinery_engine_power' => 'мощность двигателя',
        'd2u_machinery_engine_power_frequency_controlled' => 'с регулируемой частотой',
        'd2u_machinery_form_company' => 'Компания',
        'd2u_machinery_form_fax' => 'Телефакс',
        'd2u_machinery_form_position' => 'Сфера деятельности',
        'd2u_machinery_form_validate_company' => 'Укажите название компании.',
        'd2u_machinery_no_machines' => 'Оборудование не найдено',
        'd2u_machinery_operating_voltage' => 'рабочее напряжение',
        'd2u_machinery_our_products' => 'Наше оборудование',
        'd2u_machinery_overview' => 'Оборудование',
        'd2u_machinery_pics' => 'Фотографии',
        'd2u_machinery_productfinder_heading' => 'Поиск оборудования',
        'd2u_machinery_productfinder_text' => 'Подобрать оборудование',
        'd2u_machinery_references' => 'полномочия',
        'd2u_machinery_request' => 'запрос',
        'd2u_machinery_service' => 'Сведения об услугах',
        'd2u_machinery_software' => 'Программное обеспечение',
        'd2u_machinery_tech_data' => 'Технические характеристики',
        'd2u_machinery_unit_a' => 'A',
        'd2u_machinery_unit_a_mm' => '(a) мм',
        'd2u_machinery_unit_bar' => 'бар',
        'd2u_machinery_unit_ca' => 'примерно',
        'd2u_machinery_unit_cm' => 'см',
        'd2u_machinery_unit_cm2' => 'см²',
        'd2u_machinery_unit_degrees' => '°',
        'd2u_machinery_unit_diameter_mm' => 'Ø мм',
        'd2u_machinery_unit_hz' => 'Гц',
        'd2u_machinery_unit_kg' => 'кг',
        'd2u_machinery_unit_kg_m' => 'кг / м',
        'd2u_machinery_unit_kn' => 'кН',
        'd2u_machinery_unit_kw' => 'кВт',
        'd2u_machinery_unit_l' => 'l',
        'd2u_machinery_unit_l_min' => 'л/мин',
        'd2u_machinery_unit_m' => 'м',
        'd2u_machinery_unit_m2_h' => 'м²/ч',
        'd2u_machinery_unit_m_min' => 'м/мин',
        'd2u_machinery_unit_min1' => 'мин-1',
        'd2u_machinery_unit_mm' => 'мм',
        'd2u_machinery_unit_mm_min' => 'мм/мин',
        'd2u_machinery_unit_pieces' => 'шт.',
        'd2u_machinery_unit_rotations_min' => 'оборотов/минуту',
        'd2u_machinery_unit_v' => 'В',
        'd2u_machinery_usage_areas' => 'операции',
        'd2u_machinery_video' => 'видео',
        'd2u_machinery_weight' => 'вес',
    ];

    /**
     * @var array<string,string> Array with portuguese replacements. Key is the wildcard,
     * value the replacement.
     */
    protected array $replacements_portuguese = [
        'd2u_machinery_advantages' => 'Resumo das vantagens',
        'd2u_machinery_alternative_machines' => 'Máquinas alternativas',
        'd2u_machinery_back_machine_list' => 'De volta à lista de máquinas',
        'd2u_machinery_consultation_heading' => 'Vamos orientá-lo',
        'd2u_machinery_consultation_hint' => 'Fornecemos a solução ideal para suas necessidades.<br><b>Entre em contato.</b>',
        'd2u_machinery_consultation_link_machine' => 'Para o inquérito da máquina.',
        'd2u_machinery_consultation_link_personal' => 'Para consultoria pessoal',
        'd2u_machinery_consultation_text' => 'Nós ajudá-lo a encontrar o <br> produto certo.',
        'd2u_machinery_dimensions_length' => 'Comprimento',
        'd2u_machinery_dimensions_length_width_height' => 'Dimensões (C&nbsp;x&nbsp;L&nbsp;x&nbsp;A)',
        'd2u_machinery_dimensions_width_height_depth' => 'Dimensões (L&nbsp;x&nbsp;A&nbsp;x&nbsp;P',
        'd2u_machinery_downloads' => 'De downloads',
        'd2u_machinery_engine_power' => 'Potência do motor',
        'd2u_machinery_engine_power_frequency_controlled' => 'freqüência controlada',
        'd2u_machinery_form_company' => 'Empresa',
        'd2u_machinery_form_fax' => 'Fax',
        'd2u_machinery_form_position' => 'Área de actividade',
        'd2u_machinery_no_machines' => 'Nenhuma máquina encontrada.',
        'd2u_machinery_operating_voltage' => 'Tensão de operação',
        'd2u_machinery_our_products' => 'As nossas máquinas',
        'd2u_machinery_overview' => 'Máquina',
        'd2u_machinery_pics' => 'Pictures',
        'd2u_machinery_productfinder_heading' => 'Encontre o seu produto',
        'd2u_machinery_productfinder_text' => 'Encontre exatamente o seu produto',
        'd2u_machinery_references' => 'Credenciais',
        'd2u_machinery_request' => 'Consulta',
        'd2u_machinery_service' => 'Detalhes do serviço',
        'd2u_machinery_software' => 'Programa de computador',
        'd2u_machinery_tech_data' => 'Dados técnicos',
        'd2u_machinery_unit_a' => 'A',
        'd2u_machinery_unit_a_mm' => '(a) mm',
        'd2u_machinery_unit_bar' => 'bar',
        'd2u_machinery_unit_ca' => 'aprox.',
        'd2u_machinery_unit_cm' => 'cm',
        'd2u_machinery_unit_cm2' => 'cm²',
        'd2u_machinery_unit_diameter_mm' => 'mm',
        'd2u_machinery_unit_degrees' => '°',
        'd2u_machinery_unit_hz' => 'Hz',
        'd2u_machinery_unit_kg' => 'kg',
        'd2u_machinery_unit_kg_m' => 'kg/m',
        'd2u_machinery_unit_kn' => 'kN',
        'd2u_machinery_unit_kw' => 'kW',
        'd2u_machinery_unit_l' => 'l',
        'd2u_machinery_unit_l_min' => 'l/min',
        'd2u_machinery_unit_m' => 'm',
        'd2u_machinery_unit_m2_h' => 'm²/h',
        'd2u_machinery_unit_m_min' => 'm/min',
        'd2u_machinery_unit_min1' => 'min-1',
        'd2u_machinery_unit_mm' => 'mm',
        'd2u_machinery_unit_mm_min' => 'mm/min',
        'd2u_machinery_unit_pieces' => 'Qtd.',
        'd2u_machinery_unit_rotations_min' => 'r/min',
        'd2u_machinery_unit_v' => 'V',
        'd2u_machinery_usage_areas' => 'Operações',
        'd2u_machinery_video' => 'Vídeo',
        'd2u_machinery_weight' => 'Peso',
    ];

    /**
     * @var array<string,string> Array with chinese replacements. Key is the wildcard,
     * value the replacement.
     */
    protected array $replacements_chinese = [
        'd2u_machinery_advantages' => '显而易见的优势',
        'd2u_machinery_alternative_machines' => '替代机器',
        'd2u_machinery_back_machine_list' => '回到機器列表',
        'd2u_machinery_consultation_heading' => '请获取建议',
        'd2u_machinery_consultation_hint' => '我們為您的需求提供最佳解決方案。<br><b>聯繫我們。</b>',
        'd2u_machinery_consultation_link_machine' => '机器询价',
        'd2u_machinery_consultation_link_personal' => '个人咨询',
        'd2u_machinery_consultation_text' => '我们将帮助您找到合适的产品。',
        'd2u_machinery_dimensions_length' => '长',
        'd2u_machinery_dimensions_length_width_height' => '体积（长度x宽度x高度）',
        'd2u_machinery_dimensions_width_height_depth' => '体积（宽度x高度x深度）',
        'd2u_machinery_downloads' => '新用户/改装套件',
        'd2u_machinery_engine_power' => '电机功率',
        'd2u_machinery_engine_power_frequency_controlled' => '频率控制',
        'd2u_machinery_form_company' => '公司',
        'd2u_machinery_form_fax' => '传真',
        'd2u_machinery_form_position' => '职能',
        'd2u_machinery_form_validate_company' => '请输入您的公司名',
        'd2u_machinery_no_machines' => '对不起 目前我们没有机器可用。 请稍后再试。',
        'd2u_machinery_operating_voltage' => '工作电压',
        'd2u_machinery_our_products' => '最适合您应用的设备和机器',
        'd2u_machinery_overview' => '机器',
        'd2u_machinery_pics' => '图片',
        'd2u_machinery_productfinder_heading' => '产品搜索器',
        'd2u_machinery_productfinder_text' => '找到您的理想产品',
        'd2u_machinery_references' => '参考',
        'd2u_machinery_request' => '问询',
        'd2u_machinery_service' => '服務細節',
        'd2u_machinery_software' => '软件',
        'd2u_machinery_tech_data' => '技术数据',
        'd2u_machinery_unit_a' => '安培',
        'd2u_machinery_unit_a_mm' => '(a) 毫米',
        'd2u_machinery_unit_bar' => '巴',
        'd2u_machinery_unit_ca' => '约',
        'd2u_machinery_unit_cm' => '公分',
        'd2u_machinery_unit_cm2' => '平方厘米',
        'd2u_machinery_unit_diameter_mm' => 'Ø 毫米',
        'd2u_machinery_unit_degrees' => '°',
        'd2u_machinery_unit_hz' => '赫兹',
        'd2u_machinery_unit_kg' => '公斤',
        'd2u_machinery_unit_kg_m' => '公斤/计',
        'd2u_machinery_unit_kn' => '千牛顿',
        'd2u_machinery_unit_kw' => '千瓦',
        'd2u_machinery_unit_l' => '升',
        'd2u_machinery_unit_l_min' => '升/最低',
        'd2u_machinery_unit_m' => '计',
        'd2u_machinery_unit_m2_h' => '平方米/小时',
        'd2u_machinery_unit_m_min' => '计/最低',
        'd2u_machinery_unit_min1' => '最低-1',
        'd2u_machinery_unit_mm' => '毫米',
        'd2u_machinery_unit_mm_min' => '毫米/最低',
        'd2u_machinery_unit_pieces' => '块',
        'd2u_machinery_unit_rotations_min' => '转/分钟',
        'd2u_machinery_unit_v' => '伏特',
        'd2u_machinery_usage_areas' => '工艺支持',
        'd2u_machinery_video' => '视频',
        'd2u_machinery_weight' => '重量',
    ];

    /**
     * Factory method.
     * @return d2u_machinery_lang_helper Object
     */
    public static function factory()
    {
        return new self();
    }

    /**
     * Installs the replacement table for this addon.
     */
    public function install(): void
    {
        foreach ($this->replacements_english as $key => $value) {
            foreach (rex_clang::getAllIds() as $clang_id) {
                $lang_replacement = rex_config::get('d2u_machinery', 'lang_replacement_'. $clang_id, '');

                // Load values for input
                if ('chinese' === $lang_replacement && isset($this->replacements_chinese[$key])) {
                    $value = $this->replacements_chinese[$key];
                } elseif ('dutch' === $lang_replacement && isset($this->replacements_dutch[$key])) {
                    $value = $this->replacements_dutch[$key];
                } elseif ('french' === $lang_replacement && isset($this->replacements_french[$key])) {
                    $value = $this->replacements_french[$key];
                } elseif ('german' === $lang_replacement && isset($this->replacements_german[$key])) {
                    $value = $this->replacements_german[$key];
                } elseif ('portuguese' === $lang_replacement && isset($this->replacements_portuguese[$key])) {
                    $value = $this->replacements_portuguese[$key];
                } elseif ('russian' === $lang_replacement && isset($this->replacements_russian[$key])) {
                    $value = $this->replacements_russian[$key];
                } elseif ('spanish' === $lang_replacement && isset($this->replacements_spanish[$key])) {
                    $value = $this->replacements_spanish[$key];
                } else {
                    $value = $this->replacements_english[$key];
                }

                $overwrite = 'true' === rex_config::get('d2u_machinery', 'lang_wildcard_overwrite', false) ? true : false;
                parent::saveValue($key, $value, $clang_id, $overwrite);
            }
        }
    }
}
